Package ghidra.rmi.trace

# Class TraceRmi.RequestPutBytes.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutBytes.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder>
ghidra.rmi.trace.TraceRmi.RequestPutBytes.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RequestPutBytesOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RequestPutBytes`

public static final class TraceRmi.RequestPutBytes.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder> implements TraceRmi.RequestPutBytesOrBuilder
Protobuf type `ghidra.rmi.trace.RequestPutBytes`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RequestPutBytes`
  `build()`
  `TraceRmi.RequestPutBytes`
  `buildPartial()`
  `TraceRmi.RequestPutBytes.Builder`
  `clear()`
  `TraceRmi.RequestPutBytes.Builder`
  `clearData()`
  `bytes data = 4;`
  `TraceRmi.RequestPutBytes.Builder`
  `clearOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutBytes.Builder`
  `clearSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutBytes.Builder`
  `clearStart()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `com.google.protobuf.ByteString`
  `getData()`
  `bytes data = 4;`
  `TraceRmi.RequestPutBytes`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Snap`
  `getSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.Snap.Builder`
  `getSnapBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.SnapOrBuilder`
  `getSnapOrBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.Addr`
  `getStart()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `TraceRmi.Addr.Builder`
  `getStartBuilder()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `TraceRmi.AddrOrBuilder`
  `getStartOrBuilder()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `boolean`
  `hasStart()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeFrom(TraceRmi.RequestPutBytes other)`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeSnap(TraceRmi.Snap value)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutBytes.Builder`
  `mergeStart(TraceRmi.Addr value)`
  `.ghidra.rmi.trace.Addr start = 3;`
  `TraceRmi.RequestPutBytes.Builder`
  `setData(com.google.protobuf.ByteString value)`
  `bytes data = 4;`
  `TraceRmi.RequestPutBytes.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutBytes.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutBytes.Builder`
  `setSnap(TraceRmi.Snap value)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutBytes.Builder`
  `setSnap(TraceRmi.Snap.Builder builderForValue)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutBytes.Builder`
  `setStart(TraceRmi.Addr value)`
  `.ghidra.rmi.trace.Addr start = 3;`
  `TraceRmi.RequestPutBytes.Builder`
  `setStart(TraceRmi.Addr.Builder builderForValue)`
  `.ghidra.rmi.trace.Addr start = 3;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder>`

  - ### clear

    public TraceRmi.RequestPutBytes.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RequestPutBytes getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RequestPutBytes build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RequestPutBytes buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RequestPutBytes.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutBytes.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestPutBytes.Builder mergeFrom(TraceRmi.RequestPutBytes other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutBytes.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestPutBytes.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutBytes.Builder>`
    Throws:
      `IOException`

  - ### hasOid

    public boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `hasOid` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOid` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.RequestPutBytes.Builder setOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### setOid

    public TraceRmi.RequestPutBytes.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### mergeOid

    public TraceRmi.RequestPutBytes.Builder mergeOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### clearOid

    public TraceRmi.RequestPutBytes.Builder clearOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.RequestPutBytesOrBuilder`

  - ### hasSnap

    public boolean hasSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `hasSnap` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      Whether the snap field is set.

  - ### getSnap

    public TraceRmi.Snap getSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `getSnap` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      The snap.

  - ### setSnap

    public TraceRmi.RequestPutBytes.Builder setSnap(TraceRmi.Snap value)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### setSnap

    public TraceRmi.RequestPutBytes.Builder setSnap(TraceRmi.Snap.Builder builderForValue)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### mergeSnap

    public TraceRmi.RequestPutBytes.Builder mergeSnap(TraceRmi.Snap value)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### clearSnap

    public TraceRmi.RequestPutBytes.Builder clearSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### getSnapBuilder

    public TraceRmi.Snap.Builder getSnapBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### getSnapOrBuilder

    public TraceRmi.SnapOrBuilder getSnapOrBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `getSnapOrBuilder` in interface `TraceRmi.RequestPutBytesOrBuilder`

  - ### hasStart

    public boolean hasStart()
    `.ghidra.rmi.trace.Addr start = 3;`
    Specified by:
      `hasStart` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      Whether the start field is set.

  - ### getStart

    public TraceRmi.Addr getStart()
    `.ghidra.rmi.trace.Addr start = 3;`
    Specified by:
      `getStart` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      The start.

  - ### setStart

    public TraceRmi.RequestPutBytes.Builder setStart(TraceRmi.Addr value)
    `.ghidra.rmi.trace.Addr start = 3;`

  - ### setStart

    public TraceRmi.RequestPutBytes.Builder setStart(TraceRmi.Addr.Builder builderForValue)
    `.ghidra.rmi.trace.Addr start = 3;`

  - ### mergeStart

    public TraceRmi.RequestPutBytes.Builder mergeStart(TraceRmi.Addr value)
    `.ghidra.rmi.trace.Addr start = 3;`

  - ### clearStart

    public TraceRmi.RequestPutBytes.Builder clearStart()
    `.ghidra.rmi.trace.Addr start = 3;`

  - ### getStartBuilder

    public TraceRmi.Addr.Builder getStartBuilder()
    `.ghidra.rmi.trace.Addr start = 3;`

  - ### getStartOrBuilder

    public TraceRmi.AddrOrBuilder getStartOrBuilder()
    `.ghidra.rmi.trace.Addr start = 3;`
    Specified by:
      `getStartOrBuilder` in interface `TraceRmi.RequestPutBytesOrBuilder`

  - ### getData

    public com.google.protobuf.ByteString getData()
    `bytes data = 4;`
    Specified by:
      `getData` in interface `TraceRmi.RequestPutBytesOrBuilder`
    Returns:
      The data.

  - ### setData

    public TraceRmi.RequestPutBytes.Builder setData(com.google.protobuf.ByteString value)
    `bytes data = 4;`
    Parameters:
      `value` - The data to set.
    Returns:
      This builder for chaining.

  - ### clearData

    public TraceRmi.RequestPutBytes.Builder clearData()
    `bytes data = 4;`
    Returns:
      This builder for chaining.